Skip to main content
`Ctrl`+`K`

# PetscLogHandlerDump

Dump the records of a log handler to file

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscLogHandlerDump(PetscLogHandler handler, const char sname[])

Not collective

## Input Parameters

- handler - a `PetscLogHandler`

- sname - the name of the file to dump log data to

## Note

The default log handler `PETSCLOGHANDLERDEFAULT` implements this function, but others generally do not. You can use `PetscLogDump()` to call this function for the default log handler that is connected to the global logging state (`PetscLogGetState()`).

## See Also

Profiling

## Level

developer

## Location

src/sys/logging/handler/interface/loghandler.c

## Implementations

PetscLogHandlerDump_Default() in src/sys/logging/handler/impls/default/logdefault.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages